glibmm 2.4: wrap.h File Reference

Main Page Widgets Namespaces Book

# wrap.h File Reference

## Namespaces
namespace | Glib
## Typedefs
typedef Glib::ObjectBase*(* | WrapNewFunction )(GObject*)
## Functions
void | wrap_register_init ()
void | wrap_register_cleanup ()
void | wrap_register (GType type, WrapNewFunction func)
Glib::ObjectBase* | wrap_auto (GObject* object, bool take_copy=false)
template<class T>
T::BaseObjectType* | unwrap (T* ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
const T::BaseObjectType* | unwrap (const T* ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
T::BaseObjectType* | unwrap (const Glib::RefPtr<T>& ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
const T::BaseObjectType* | unwrap (const Glib::RefPtr<const T>& ptr)
| Get the underlying C instance from the C++ instance.
template<class T>
T::BaseObjectType* | unwrap_copy (const Glib::RefPtr<T>& ptr)
| Get the underlying C instance from the C++ instance and acquire a reference.
template<class T>
const T::BaseObjectType* | unwrap_copy (const Glib::RefPtr<const T>& ptr)
| Get the underlying C instance from the C++ instance and acquire a reference.

## Typedef Documentation

typedef Glib::ObjectBase*(* Glib::WrapNewFunction)(GObject*)

## Function Documentation

template <class T>
const T::BaseObjectType* unwrap | ( | const Glib::RefPtr<const T>& | ptr | ) | `[inline]`

| Get the underlying C instance from the C++ instance. This is just like calling gobj(), but it does its own check for a NULL pointer.

template <class T>
T::BaseObjectType* unwrap | ( | const Glib::RefPtr<T>& | ptr | ) | `[inline]`

| Get the underlying C instance from the C++ instance. This is just like calling gobj(), but it does its own check for a NULL pointer.

template <class T>
const T::BaseObjectType* unwrap | ( | const T* | ptr | ) | `[inline]`

| Get the underlying C instance from the C++ instance. This is just like calling gobj(), but it does its own check for a NULL pointer.

template <class T>
T::BaseObjectType* unwrap | ( | T* | ptr | ) | `[inline]`

| Get the underlying C instance from the C++ instance. This is just like calling gobj(), but it does its own check for a NULL pointer.

template <class T>
const T::BaseObjectType* unwrap_copy | ( | const Glib::RefPtr<const T>& | ptr | ) | `[inline]`

| Get the underlying C instance from the C++ instance and acquire a reference. This is just like calling gobj_copy(), but it does its own check for a NULL pointer.

template <class T>
T::BaseObjectType* unwrap_copy | ( | const Glib::RefPtr<T>& | ptr | ) | `[inline]`

| Get the underlying C instance from the C++ instance and acquire a reference. This is just like calling gobj_copy(), but it does its own check for a NULL pointer.

Glib::ObjectBase* wrap_auto | ( | GObject* | object,
|  | bool | take_copy = `false`
| ) |

void wrap_register | ( | GType | type,
|  | WrapNewFunction | func
| ) |

void wrap_register_cleanup | ( |  | ) |

void wrap_register_init | ( |  | ) |